// Harbuger menu
$("#hmenu a").click(function() {
	$('.bar').toggleClass('animate');
	if ( $("#oer_sidebar").hasClass("hide") ) {
		$("#oer_sidebar").removeClass("hide");
	} else {
		$("#oer_sidebar").addClass("hide");
	}
});



// Show/Hide Controls
$("#p1_toggle").click(function() {
	if ( $("#p1").hasClass("show") ) {
		$("#p1_toggle i").removeClass("fa-chevron-circle-down");
		$("#p1_toggle i").addClass("fa-chevron-circle-up");
	} else {
		$("#p1_toggle i").removeClass("fa-chevron-circle-up");
		$("#p1_toggle i").addClass("fa-chevron-circle-down");
	}
});


$("#p2_toggle").click(function() {
	if ( $("#p2").hasClass("show") ) {
		$("#p2_toggle i").removeClass("fa-chevron-circle-down");
		$("#p2_toggle i").addClass("fa-chevron-circle-up");
	} else {
		$("#p2_toggle i").removeClass("fa-chevron-circle-up");
		$("#p2_toggle i").addClass("fa-chevron-circle-down");
	}
});



// Controls Values
var f1 = parseFloat( $("#num_power_f1").val() );
var f2 = parseFloat( $("#num_power_f2").val() );
var r1 = parseFloat( $("#num_distance_r1").val() );
var r2 = parseFloat( $("#num_distance_r2").val() );




// Keep sliders and numbers in sync
$("#power_f1").change(function() {
	$("#num_power_f1").val( $(this).val() );
	f1_changed();
});

$("#num_power_f1").change(function() {
	$("#power_f1").val( $(this).val() );
	f1_changed();
});

$("#distance_r1").change(function() {
	$("#num_distance_r1").val( $(this).val() );
	r1_changed();
});

$("#num_distance_r1").change(function() {
	$("#distance_r1").val( $(this).val() );
	r1_changed();
});

$("#power_f2").change(function() {
	$("#num_power_f2").val( $(this).val() );
	f2_changed();
});

$("#num_power_f2").change(function() {
	$("#power_f2").val( $(this).val() );
	f2_changed();
});

$("#distance_r2").change(function() {
	$("#num_distance_r2").val( $(this).val() );
	r2_changed();
});

$("#num_distance_r2").change(function() {
	$("#distance_r2").val( $(this).val() );
	r2_changed();
});





// Minus and Plus buttons
function f1_minus_click() {
	f1 = parseFloat( $("#num_power_f1").val() );
	if (f1 > config.f1_min) {
		f1 -= 1;
		$("#num_power_f1").val(f1);
		$("#power_f1").val(f1);
		f1_changed();
	}
}

function f1_plus_click() {
	f1 = parseFloat( $("#num_power_f1").val() );
	if (f1 < config.f1_max) {
		f1 += 1; 
		$("#num_power_f1").val(f1);
		$("#power_f1").val(f1);
		f1_changed();
	}
}

function r1_minus_click() {
	r1 = parseFloat( $("#num_distance_r1").val() );
	if (r1 > config.r1_min) {
		r1 -= 1;
		$("#num_distance_r1").val(r1);
		$("#distance_r1").val(r1);
		r1_changed();
	}
}

function r1_plus_click() {
	r1 = parseFloat( $("#num_distance_r1").val() );
	if (r1 < config.r1_max) {
		r1 += 1;
		$("#num_distance_r1").val(r1);
		$("#distance_r1").val(r1);
		r1_changed();
	}
}

function f2_minus_click() {
	f2 = parseFloat( $("#num_power_f2").val() );
	if (f2 > config.f2_min) {
		f2 -= 1;
		$("#num_power_f2").val(f2);
		$("#power_f2").val(f2);
		f2_changed();
	}
}

function f2_plus_click() {
	f2 = parseFloat( $("#num_power_f2").val() );
	if (f2 < config.f2_max) {
		f2 += 1; 
		$("#num_power_f2").val(f2);
		$("#power_f2").val(f2);
		f2_changed();
	}
}

function r2_minus_click() {
	r2 = parseFloat( $("#num_distance_r2").val() );
	if (r2 > config.r2_min) {
		r2 -= 1;
		$("#num_distance_r2").val(r2);
		$("#distance_r2").val(r2);
		r2_changed();
	}
}

function r2_plus_click() {
	r2 = parseFloat( $("#num_distance_r2").val() );
	if (r2 < config.r2_max) {
		r2 += 1;
		$("#num_distance_r2").val(r2);
		$("#distance_r2").val(r2);
		r2_changed();
	}
}



$("#f1_minus").on('click', f1_minus_click);
$("#f1_plus").on('click', f1_plus_click);
$("#r1_minus").on('click', r1_minus_click);
$("#r1_plus").on('click', r1_plus_click);
$("#f2_minus").on('click', f2_minus_click);
$("#f2_plus").on('click', f2_plus_click);
$("#r2_minus").on('click', r2_minus_click);
$("#r2_plus").on('click', r2_plus_click);





// Locks
$("#lock_f1").click(function() {
	if ( $("#lock_f1").hasClass("fa-unlock") ) {
		$("#lock_f1").removeClass("fa-unlock");
		$("#lock_f1").addClass("fa-lock");
		$("#power_f1").prop('disabled', true);
		$("#num_power_f1").prop('disabled', true);
		$("#f1_minus").off('click');
		$("#f1_plus").off('click');
	} else {
		$("#lock_f1").removeClass("fa-lock");
		$("#lock_f1").addClass("fa-unlock");
		$("#power_f1").prop('disabled', false);
		$("#num_power_f1").prop('disabled', false);
		$("#f1_minus").on("click", f1_minus_click);
		$("#f1_plus").on("click", f1_plus_click);
	}
});

$("#lock_r1").click(function() {
	if ( $("#lock_r1").hasClass("fa-unlock") ) {
		$("#lock_r1").removeClass("fa-unlock");
		$("#lock_r1").addClass("fa-lock");
		$("#distance_r1").prop('disabled', true);
		$("#num_distance_r1").prop('disabled', true);
		$("#r1_minus").off('click');
		$("#r1_plus").off('click');
	} else {
		$("#lock_r1").removeClass("fa-lock");
		$("#lock_r1").addClass("fa-unlock");
		$("#distance_r1").prop('disabled', false);
		$("#num_distance_r1").prop('disabled', false);
		$("#r1_minus").on("click", r1_minus_click);
		$("#r1_plus").on("click", r1_plus_click);
	}
});

$("#lock_f2").click(function() {
	if ( $("#lock_f2").hasClass("fa-unlock") ) {
		$("#lock_f2").removeClass("fa-unlock");
		$("#lock_f2").addClass("fa-lock");
		$("#power_f2").prop('disabled', true);
		$("#num_power_f2").prop('disabled', true);
		$("#f2_minus").off('click');
		$("#f2_plus").off('click');
	} else {
		$("#lock_f2").removeClass("fa-lock");
		$("#lock_f2").addClass("fa-unlock");
		$("#power_f2").prop('disabled', false);
		$("#num_power_f2").prop('disabled', false);
		$("#f2_minus").on("click", f2_minus_click);
		$("#f2_plus").on("click", f2_plus_click);
	}
});


$("#lock_r2").click(function() {
	if ( $("#lock_r2").hasClass("fa-unlock") ) {
		$("#lock_r2").removeClass("fa-unlock");
		$("#lock_r2").addClass("fa-lock");
		$("#distance_r2").prop('disabled', true);
		$("#num_distance_r2").prop('disabled', true);
		$("#r2_minus").off('click');
		$("#r2_plus").off('click');
	} else {
		$("#lock_r2").removeClass("fa-lock");
		$("#lock_r2").addClass("fa-unlock");
		$("#distance_r2").prop('disabled', false);
		$("#num_distance_r2").prop('disabled', false);
		$("#r2_minus").on("click", r2_minus_click);
		$("#r2_plus").on("click", r2_plus_click);
	}
});


// Show/Hide Ropi Labels
$("#show_ropi1").change(function() {
	if ( $("#show_ropi1").prop("checked") ) {
		$("#ropi1").show();
	} else {
		$("#ropi1").hide();
	}
});

$("#show_ropi2").change(function() {
	if ( $("#show_ropi2").prop("checked") ) {
		$("#ropi2").show();
	} else {
		$("#ropi2").hide();
	}
});



// Theory Button
$("#btn_theory").click(function() {
	if ( $("#oer_theory").hasClass("hide") ) {
		$("#oer_theory").removeClass("hide");
		$("#btn_theory").addClass("active");
		$("#oer_application").addClass("hide");
		$("#btn_application").removeClass("active");
		$("#oer_investigation").addClass("hide");
		$("#btn_investigation").removeClass("active");
	} else {
		$("#oer_theory").addClass("hide");
		$("#btn_theory").removeClass("active");
	}
});


// Application Button
$("#btn_application").click(function() {
	if ( $("#oer_application").hasClass("hide") ) {
		$("#oer_theory").addClass("hide");
		$("#btn_theory").removeClass("active");
		$("#oer_application").removeClass("hide");
		$("#btn_application").addClass("active");
		$("#oer_investigation").addClass("hide");
		$("#btn_investigation").removeClass("active");
	} else {
		$("#oer_application").addClass("hide");
		$("#btn_application").removeClass("active");
	}
});


// Investigation Button
$("#btn_investigation").click(function() {
	if ( $("#oer_investigation").hasClass("hide") ) {
		$("#oer_theory").addClass("hide");
		$("#btn_theory").removeClass("active");
		$("#oer_application").addClass("hide");
		$("#btn_application").removeClass("active");
		$("#oer_investigation").removeClass("hide");
		$("#btn_investigation").addClass("active");
	} else {
		$("#oer_investigation").addClass("hide");
		$("#btn_investigation").removeClass("active");
	}
});



// Gravity Buttons
var g = config.g_earth;

$("#earth_gravity").click(function() {
	$(this).addClass("active");
	$("#moon_gravity").removeClass("active");
	$("#mars_gravity").removeClass("active");
	$("#jupiter_gravity").removeClass("active");
	g = config.g_earth;
	$("#gravity_value span").html( format_number_el(g) );
	calc_ropes();
});

$("#moon_gravity").click(function() {
	$(this).addClass("active");
	$("#earth_gravity").removeClass("active");
	$("#mars_gravity").removeClass("active");
	$("#jupiter_gravity").removeClass("active");
	g = config.g_moon;
	$("#gravity_value span").html( format_number_el(g) );
	calc_ropes();
});

$("#mars_gravity").click(function() {
	$(this).addClass("active");
	$("#earth_gravity").removeClass("active");
	$("#moon_gravity").removeClass("active");
	$("#jupiter_gravity").removeClass("active");
	g = config.g_mars;
	$("#gravity_value span").html( format_number_el(g) );
	calc_ropes();
});

$("#jupiter_gravity").click(function() {
	$(this).addClass("active");
	$("#earth_gravity").removeClass("active");
	$("#moon_gravity").removeClass("active");
	$("#mars_gravity").removeClass("active");
	g = config.g_jupiter;
	$("#gravity_value span").html( format_number_el(g) );
	calc_ropes();
});






// Show navigation tooltips at applications text
// $('#oer_application.navigation a').tooltip();

